org.bdgenomics.adam.cli

# ADAMModule

#### class ADAMModule extends AbstractModule with ScalaModule

Linear Supertypes
ScalaModule, InternalModule[Binder], AbstractModule, Module, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ADAMModule
2. ScalaModule
3. InternalModule
4. AbstractModule
5. Module
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ADAMModule()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def addError(arg0: Message): Unit

   Attributes
     protected[com.google.inject]
   Definition Classes
     AbstractModule

7. #### def addError(arg0: Throwable): Unit

   Attributes
     protected[com.google.inject]
   Definition Classes
     AbstractModule

8. #### def addError(arg0: String, arg1: <repeated...>[AnyRef]): Unit

   Attributes
     protected[com.google.inject]
   Definition Classes
     AbstractModule

9. #### def annotatedWith[A <: Annotation](implicit arg0: Manifest[A]): Matcher[AnnotatedElement]

   Attributes
     protected[this]
   Definition Classes
     InternalModule

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def bind[T](implicit arg0: Manifest[T]): ScalaAnnotatedBindingBuilder[T] { ... /* 2 definitions in type refinement */ }

    Attributes
      protected[this]
    Definition Classes
      InternalModule

12. #### def bind[T](arg0: Class[T]): AnnotatedBindingBuilder[T]

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

13. #### def bind[T](arg0: TypeLiteral[T]): AnnotatedBindingBuilder[T]

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

14. #### def bind[T](arg0: Key[T]): LinkedBindingBuilder[T]

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

15. #### def bindConstant(): AnnotatedConstantBindingBuilder

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

16. #### def bindInterceptor[I <: MethodInterceptor](classMatcher: Matcher[_ >: Class[_]], methodMatcher: Matcher[_ >: AnnotatedElement])(implicit arg0: Manifest[I]): Unit

    Attributes
      protected[this]
    Definition Classes
      InternalModule

17. #### def bindInterceptor(arg0: Matcher[_ >: Class[_]], arg1: Matcher[_ >: Method], arg2: <repeated...>[MethodInterceptor]): Unit

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

18. #### def bindListener(arg0: Matcher[_ >: Binding[_]], arg1: <repeated...>[ProvisionListener]): Unit

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

19. #### def bindListener(arg0: Matcher[_ >: TypeLiteral[_]], arg1: TypeListener): Unit

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

20. #### def bindScope[T <: Annotation](scope: Scope)(implicit arg0: Manifest[T]): Unit

    Attributes
      protected[this]
    Definition Classes
      InternalModule

21. #### def bindScope(arg0: Class[_ <: Annotation], arg1: Scope): Unit

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

22. #### def binder(): Binder

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

23. #### def binderAccess: Binder

    Attributes
      protected[this]
    Definition Classes
      ScalaModule → InternalModule

24. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### def configure(): Unit

    Definition Classes
      ADAMModule → AbstractModule

26. #### final def configure(arg0: Binder): Unit

    Definition Classes
      AbstractModule → Module

27. #### def convertToTypes(arg0: Matcher[_ >: TypeLiteral[_]], arg1: TypeConverter): Unit

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

28. #### def currentStage(): Stage

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

29. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

31. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

32. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

33. #### def getMembersInjector[T](implicit arg0: Manifest[T]): MembersInjector[T]

    Attributes
      protected[this]
    Definition Classes
      InternalModule

34. #### def getMembersInjector[T](arg0: TypeLiteral[T]): MembersInjector[T]

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

35. #### def getMembersInjector[T](arg0: Class[T]): MembersInjector[T]

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

36. #### def getProvider[T](implicit arg0: Manifest[T]): Provider[T]

    Attributes
      protected[this]
    Definition Classes
      InternalModule

37. #### def getProvider[T](arg0: Class[T]): Provider[T]

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

38. #### def getProvider[T](arg0: Key[T]): Provider[T]

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

39. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

40. #### def install(arg0: Module): Unit

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

41. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

42. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

43. #### final def notify(): Unit

    Definition Classes
      AnyRef

44. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

45. #### def requestInjection(arg0: Any): Unit

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

46. #### def requestStaticInjection[T]()(implicit arg0: Manifest[T]): Unit

    Attributes
      protected[this]
    Definition Classes
      InternalModule

47. #### def requestStaticInjection(arg0: <repeated...>[Class[_]]): Unit

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

48. #### def requireBinding(arg0: Class[_]): Unit

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

49. #### def requireBinding(arg0: Key[_]): Unit

    Attributes
      protected[com.google.inject]
    Definition Classes
      AbstractModule

50. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

51. #### def toString(): String

    Definition Classes
      AnyRef → Any

52. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ScalaModule

### Inherited from InternalModule[Binder]

### Inherited from AbstractModule

### Inherited from Module

### Inherited from AnyRef

### Inherited from Any

### Ungrouped